Package com.documentum.fc.client.search

# Interface IDfSearchStoreService

public interface IDfSearchStoreService
Provides access to services for search storage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfSmartList`
  `createSearch(String name, String description, IDfSmartListDefinition smartListDefinition, IDfResultsSet resultSet, IDfQueryStatus queryStatus)`
  Creates a new search prior to storing it.
  `boolean`
  `existsSearch(String objectName, boolean inMySearches, String folderId)`
  Checks whether a search with the same name already exists in the database.
  `IDfCollection`
  `getAllSearches()`
  Deprecated.
  Use getAllSearches(IDfSession) instead
  `IDfCollection`
  `getAllSearches(IDfSession session)`
  Returns all searches from this repository, including all of the user's searches and any shared searches.
  `IDfCollection`
  `getCurrentUserSearches()`
  Deprecated.
  Use getCurrentUserSearches(IDfSession) instead
  `IDfCollection`
  `getCurrentUserSearches(IDfSession session)`
  Returns only the user's searches from this repository.
  `IDfSmartList`
  `loadSearch(String ObjectId)`
  Gets a Search (before a load) using the ID.
  `boolean`
  `supportsResultsStorage()`
  Checks whether the new store search attributes are available in the repository.

- ## Method Details

  - ### getAllSearches

    IDfCollection getAllSearches(IDfSession session) throws DfException
    Returns all searches from this repository, including all of the user's searches and any shared searches.
    Returns:
      An IDfCollection.
    Throws:
      `DfException`

  - ### getAllSearches

    IDfCollection getAllSearches() throws DfException
    Deprecated.
    Use getAllSearches(IDfSession) instead
    Returns all searches from this repository, including all of the user's searches and any shared searches.
    Returns:
      An IDfCollection.
    Throws:
      `DfException`

  - ### getCurrentUserSearches

    IDfCollection getCurrentUserSearches(IDfSession session) throws DfException
    Returns only the user's searches from this repository.
    Returns:
      An IDfCollection.
    Throws:
      `DfException`

  - ### getCurrentUserSearches

    IDfCollection getCurrentUserSearches() throws DfException
    Deprecated.
    Use getCurrentUserSearches(IDfSession) instead
    Returns only the user's searches from this repository.
    Returns:
      An IDfCollection.
    Throws:
      `DfException`

  - ### existsSearch

    boolean existsSearch(String objectName, boolean inMySearches, String folderId) throws DfException
    Checks whether a search with the same name already exists in the database. This is intended to be used prior to saving a new search to ensure it has a unique name.
    Parameters:
      `objectName` -
      `inMySearches` -
      `folderId` -
    Returns:
      `true`, if another search exists with the same name.
    Throws:
      `DfException`

  - ### loadSearch

    IDfSmartList loadSearch(String ObjectId) throws DfException
    Gets a Search (before a load) using the ID. This is a dm_smart_list object ID, used when a user selects a search in the searchList to view it.
    Parameters:
      `ObjectId` - The Search object ID.
    Returns:
      The dm_smart_list object ID.
    Throws:
      `DfException`

  - ### createSearch

    IDfSmartList createSearch(String name, String description, IDfSmartListDefinition smartListDefinition, IDfResultsSet resultSet, IDfQueryStatus queryStatus) throws DfException
    Creates a new search prior to storing it.
    Parameters:
      `name` - The search name.
      `description` - The search description.
      `smartListDefinition` - The IDfSmartListDefinition instance.
      `resultSet` - The IDfResultsSet instance.
      `queryStatus` - The IDfQueryStatus instance.
    Returns:
      The created dm_smart_list object ID.
    Throws:
      `DfException`

  - ### supportsResultsStorage

    boolean supportsResultsStorage() throws DfException
    Checks whether the new store search attributes are available in the repository.
    Returns:
      `true`, if the repository supports search storage.
    Throws:
      `DfException`